import { IFileManager, ITreeView } from '../base/interface';
/**
 * Function to read the content from given path in File Manager.
 * @private
 */
export declare function read(parent: IFileManager, event: string, path: string): void;
/**
 * Function to create new folder in File Manager.
 * @private
 */
export declare function createFolder(parent: IFileManager, itemName: string): void;
export declare function rename(parent: IFileManager, itemNewName: string): void;
/**
 * Function to paste file's and folder's in File Manager.
 * @private
 */
export declare function paste(parent: IFileManager, path: string, names: string[], targetPath: string, pasteOperation: string, navigationPane?: ITreeView, replaceItems?: string[]): void;
/**
 * Function to delete file's and folder's in File Manager.
 * @private
 */
export declare function Delete(parent: IFileManager, items: string[], path: string, operation: string, treeView: ITreeView): void;
/**
 * Function to get details of file's and folder's in File Manager.
 * @private
 */
export declare function GetDetails(parent: IFileManager, itemNames: string[], path: string, operation: string): void;
export declare function Search(parent: IFileManager, event: string, path: string, searchString: string, showHiddenItems?: boolean, caseSensitive?: boolean): void;
export declare function Download(parent: IFileManager, selectedRecords: Array<any>): void;
