import { IFileManager, ITreeView, ReadArgs } from '../base/interface';
import { MenuEventArgs } from '@syncfusion/ej2-navigations';
/**
 * Utility file for common actions
 */
export declare function copyPath(file: IFileManager): void;
export declare function updatePath(node: HTMLLIElement, text: string, instance: IFileManager): void;
export declare function getPath(element: Element | Node, text: string): string;
export declare function getPathId(node: Element): string[];
export declare function getParents(element: Element, text: string, isId: boolean): string[];
export declare function treeNodes(tree: ITreeView, gridFiles?: Object[], action?: string): void;
export declare function activeElement(action: string, isGrid?: boolean, file?: IFileManager): Object[];
export declare function addBlur(nodes: Element): void;
export declare function removeBlur(file?: IFileManager, hover?: string): void;
export declare function getModule(element: Element, file?: IFileManager): void;
export declare function refresh(parent: IFileManager): void;
export declare function openAction(parent: IFileManager): void;
export declare function getFileObject(parent: IFileManager): Object;
export declare function getPathObject(parent: IFileManager): Object;
export declare function copyFiles(parent: IFileManager): void;
export declare function cutFiles(parent: IFileManager): void;
export declare function fileType(file: Object): string;
export declare function getImageUrl(parent: IFileManager, item: Object): string;
export declare function getSortedData(parent: IFileManager, items: Object[]): Object[];
export declare function getItemObject(parent: IFileManager, item: Element): Object;
export declare function getObject(parent: IFileManager, name: string): Object;
export declare function createEmptyElement(parent: IFileManager, operation: string, element: HTMLElement): void;
export declare function getDirectories(files: Object[]): Object[];
export declare function setNodeId(result: ReadArgs, rootId: string): void;
export declare function setDateObject(args: Object[]): void;
export declare function getLocaleText(parent: IFileManager, text: string): string;
export declare function getCssClass(parent: IFileManager, css: string): string;
export declare function sortbyClickHandler(parent: IFileManager, args: MenuEventArgs): void;
export declare function getSortField(id: string): string;
export declare function setNextPath(parent: IFileManager, path: string): void;
export declare function openSearchFolder(parent: IFileManager, data: Object): void;
