import { Grid } from '@syncfusion/ej2-grids';
import { FileManager } from '../base/file-manager';
import { RecordDoubleClickEventArgs } from '@syncfusion/ej2-grids';
/**
 * GridView module
 */
export declare class DetailsView {
    element: HTMLElement;
    private parent;
    private keyboardModule;
    private keyConfigs;
    private selectedItem;
    private sortItem;
    private isInteracted;
    private clickObj;
    private sortSelectedNodes;
    private emptyArgs;
    gridObj: Grid;
    pasteOperation: boolean;
    uploadOperation: boolean;
    private count;
    private isRendered;
    /**
     * Constructor for the GridView module
     * @hidden
     */
    constructor(parent?: FileManager);
    private render;
    private getColumns;
    private adjustHeight;
    private renderCheckBox;
    private onRowDataBound;
    private onActionBegin;
    private onHeaderCellInfo;
    private onBeforeDataBound;
    private maintainBlur;
    private onDataBound;
    private selectRecords;
    private onSortColumn;
    private onPropertyChanged;
    private onPathChanged;
    private checkEmptyDiv;
    private onOpenInit;
    /**
     * Triggers when double click on the grid record
     * @public
     */
    DblClickEvents(args: RecordDoubleClickEventArgs): void;
    openContent(data: Object): void;
    private onLayoutChange;
    private onSearchFiles;
    private changeData;
    private onFinalizeEnd;
    private onCreateEnd;
    private onRenameInit;
    private onDeleteEnd;
    private onRefreshEnd;
    private onHideLayout;
    private onSelectAllInit;
    private onClearAllInit;
    private onSelectionChanged;
    private onBeforeRequest;
    private onAfterRequest;
    private addEventListener;
    private removeEventListener;
    /**
     * For internal use only - Get the module name.
     * @private
     */
    private getModuleName;
    /**
     * Destroys the GridView module.
     * @method destroy
     * @return {void}
     */
    destroy(): void;
    /**
     * Grid row selected event
     * @private
     */
    private onSelected;
    private onPathColumn;
    private selectedRecords;
    /**
     * Grid row de-selected event
     * @private
     */
    private onDeSelection;
    private triggerSelect;
    private wireEvents;
    private unWireEvents;
    private wireClickEvent;
    private removeSelection;
    /**
     * Grid keyDown event
     * @private
     */
    private keyDown;
    /**
     * Get selected grid records
     * @public
     */
    gridSelectNodes(): Object[];
    private updateRenameData;
}
