import { TreeView as BaseTreeView } from '@syncfusion/ej2-navigations';
import { Touch } from '@syncfusion/ej2-base';
import { IFileManager } from '../base/interface';
/**
 * `TreeView` module is used to handle Navigation actions.
 */
export declare class NavigationPane {
    private parent;
    treeObj: BaseTreeView;
    private fileObj;
    private treeInterface;
    activeNode: Element;
    private keyboardModule;
    private keyConfigs;
    private expandNodeTarget;
    rootNode: string;
    treeNodes: string[];
    removeNodes: string[];
    copyNodes: {
        [key: string]: Object;
    }[];
    touchClickObj: Touch;
    expandTree: boolean;
    /**
     * Constructor for the TreeView module
     * @hidden
     */
    constructor(parent?: IFileManager);
    private onInit;
    private onDrowNode;
    private addChild;
    /**
     * Tree node selection event
     * @private
     */
    private onNodeSelected;
    /**
     * Tree node expand event
     * @private
     */
    private onNodeExpand;
    private onNodeExpanded;
    private onNodeEditing;
    private onPathChanged;
    private updateTree;
    private removeChildNodes;
    private onOpenEnd;
    private onOpenInit;
    private onInitialEnd;
    private onFinalizeEnd;
    private onCreateEnd;
    private onDeleteEnd;
    private onRefreshEnd;
    private onRenameInit;
    private onRenameEnd;
    private onPropertyChanged;
    private onDownLoadInit;
    private onSelectionChanged;
    private onClearPathInit;
    private addEventListener;
    private removeEventListener;
    /**
     * For internal use only - Get the module name.
     * @private
     */
    private getModuleName;
    /**
     * Destroys the TreeView module.
     * @method destroy
     * @return {void}
     */
    destroy(): void;
    private wireEvents;
    private unWireEvents;
    private keyDown;
    private updateRenameData;
    private updateActionData;
    /**
     * Move tree folders on cut operation
     * @public
     */
    moveNode(): void;
    /**
     * Remove tree folders on delete operation
     * @public
     */
    removeNode(): void;
    /**
     * Add tree folders on copy operation
     * @public
     */
    copyNode(): void;
}
