import { ChildProperty } from '@syncfusion/ej2-base';
export declare type FilterType = 'contains' | 'startWith' | 'endsWith';
/**
 * Specifies the Ajax settings of the File Manager.
 */
export declare class SearchSettings extends ChildProperty<SearchSettings> {
    /**
     * Enable or disable the allowSearchOnTyping.
     * @default true
     */
    allowSearchOnTyping: boolean;
    /**
     * Specifies the filter type while searching the content.
     * @default 'contains'
     */
    filterType: FilterType;
    /**
     * If ignoreCase is set to false, searches files that match exactly,
     * else searches files that are case insensitive(uppercase and lowercase letters treated the same).
     * @default true
     */
    ignoreCase: boolean;
}
