import { ContextMenu as Menu, BeforeOpenCloseMenuEventArgs } from '@syncfusion/ej2-navigations';
import { IFileManager } from '../base/interface';
import { MenuEventArgs } from '@syncfusion/ej2-splitbuttons';
/**
 * ContextMenu module
 */
export declare class ContextMenu {
    private parent;
    private targetElement;
    contextMenu: Menu;
    private keyConfigs;
    private keyboardModule;
    /**
     * Constructor for the ContextMenu module
     * @hidden
     */
    constructor(parent?: IFileManager);
    private render;
    onBeforeItemRender(args: MenuEventArgs): void;
    onBeforeOpen(args: BeforeOpenCloseMenuEventArgs): void;
    /** @hidden */
    getTargetView(target: Element): string;
    private setFolderItem;
    private setFileItem;
    private setLayoutItem;
    private onSelect;
    private changeLayout;
    private onPropertyChanged;
    private addEventListener;
    private removeEventListener;
    private keyActionHandler;
    /**
     * For internal use only - Get the module name.
     * @private
     */
    private getModuleName;
    /**
     * Destroys the ContextMenu module.
     * @method destroy
     * @return {void}
     */
    private destroy;
    private getItemData;
    private getMenuId;
}
